// わかりやすい構文！
class Foo {
    methodA() {
        return "methodA";
    }
}

// 継承もできる
class Bar extends Foo {
    constructor(postfix = "!") {
        super();
        this.postfix = postfix;
    }
    methodB() {
        return `${this.methodA()}${this.postfix}`;
    }
}

const bar = new Bar();
console.log(bar.methodB());
// => methodA!

// なお、関数として呼び出そうとするとエラーになる
// Foo();
// => TypeError: Class constructor Foo cannot be invoked without 'new'
