let a = 1;
{
    // ブロックスコープ：letで定義した変数は {} の中だけの命
    let a = "JavaScript";
    console.log(a);
    // => JavaScript
}
console.log(a);
// => 1

// 同名の変数を再定義しようとするとエラーになる
// let a = true;
// => SyntaxError: Identifier 'a' has already been declared

// 再代入はOK
a = true;

// constもletと性質はだいたい同じ
const b = 2;
{
    const b = "ECMAScript";
}
// constは再代入するとエラーになる！
// b = true;
// => TypeError: Assignment to constant variable.
