function buildSQL(strings, ...params) {
    return {
        query: strings.join("?"),
        parameters: params,
    };
}

const name = "vvakame";

// プレースホルダを使っていないような書き方でも……
const query = buildSQL`SELECT * FROM Sample WHERE NAME = ${name}`;

// 具合のいい構造に変換されて出てくる！
console.log(query);
// => { query: 'SELECT * FROM Sample WHERE NAME = ?',
//      parameters: [ 'vvakame' ] }
