// タグ付きテンプレート用関数
// パラメータ部分をURLエンコードして組み立てて返す
function buildURL(strings, ...keys) {
    let path = "";
    strings.forEach((v, i) => {
        const param = encodeURIComponent(keys[i] || "");
        path += v + param;
    });
    return `http://localhost:8080${path}`;
}

const name = "わかめ";

const requestURL = buildURL`/api/user/${name}`;
// http://localhost:8080/api/user/%E3%82%8F%E3%81%8B%E3%82%81 と表示される
console.log(requestURL);
